<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveFirstMultipleKey Method
Cursor Class See Also Send Feedback

Set the cursor to refer to the first key/data pair of the database, and store that pair and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool MoveFirstMultipleKey()

Visual Basic (Declaration)

    Public Function MoveFirstMultipleKey As Boolean

Visual C++

    public:
    bool MoveFirstMultipleKey()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveFirstMultipleKey Overload
BerkeleyDB Namespace